## fcitx5 5.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6.0)
project(fcitx VERSION 5.0.5)
set(FCITX_VERSION ${PROJECT_VERSION})

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

#######################################################################
# CMake macros
#######################################################################
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMSetupVersion)
include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(ECMUninstallTarget)
include(src/lib/fcitx-utils/Fcitx5Macros.cmake)
include(CheckSymbolExists)

#######################################################################
# Options
#######################################################################
option(ENABLE_TEST "Build Test" On)
option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
set(GCOV_TOOL "gcov" CACHE STRING "Path to gcov tool used by coverage.")
set(DEFAULT_XKB_RULES "evdev" CACHE STRING "Xkb rules name")
option(ENABLE_ENCHANT "Enable enchant for word predication" On)
option(ENABLE_PRESAGE "Enable presage for word predication" Off)
option(ENABLE_X11 "Enable X11 support" On)
option(ENABLE_WAYLAND "Enable wayland support" On)
option(ENABLE_DOC "Build doxygen" Off)
option(USE_SYSTEMD "Use systemd for event loop and dbus, will fallback to libevent/libdbus if not found." On)
option(ENABLE_XDGAUTOSTART "Enable xdg autostart desktop file installation" On)
option(USE_FLATPAK_ICON "Use flatpak icon name for desktop files" Off)
set(CLDR_DIR "" CACHE STRING "Unicode CLDR (Common Locale Data Repository) directory")

if (CLDR_DIR STREQUAL "")
    if (IS_DIRECTORY "${CMAKE_INSTALL_FULL_DATADIR}/unicode/cldr")
        set(CLDR_DIR "${CMAKE_INSTALL_FULL_DATADIR}/unicode/cldr")
    else(IS_DIRECTORY "/usr/share/unicode/cldr")
        set(CLDR_DIR "/usr/share/unicode/cldr")
    endif()
endif()

if (CLDR_DIR STREQUAL "" OR NOT IS_DIRECTORY "${CLDR_DIR}/common/annotations/")
    message(WARNING "Could not find Unicode CLDR Annotation directory")
    set(ENABLE_EMOJI FALSE)
else()
    set(ENABLE_EMOJI TRUE)
endif()


#######################################################################
# Find packages
#######################################################################

find_package(PkgConfig REQUIRED)

if (USE_SYSTEMD)
find_package(Systemd)
endif ()

if (USE_FLATPAK_ICON)
    set(FCITX_ICON_NAME "org.fcitx.Fcitx5")
else()
    set(FCITX_ICON_NAME "fcitx")
endif()

if (NOT TARGET Systemd::Systemd)
pkg_check_modules(DBus REQUIRED IMPORTED_TARGET "dbus-1")
pkg_get_variable(DBUS_SYSTEM_BUS_DEFAULT_ADDRESS "dbus-1" "system_bus_default_address")
pkg_check_modules(LibEvent REQUIRED IMPORTED_TARGET "libevent")
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "BSD")
    find_package(LibKVM REQUIRED)
endif()
find_package(DL REQUIRED)
find_package(LibIntl REQUIRED)
find_package(LibUUID REQUIRED)
find_package(Pthread REQUIRED)
find_package(Execinfo)
find_package(Gettext REQUIRED)
find_package(fmt REQUIRED)

if (TARGET fmt::fmt-header-only)
  set(FMT_TARGET fmt::fmt-header-only)
else()
  set(FMT_TARGET fmt::fmt)
endif ()

set(REQUIRED_XKBCOMMON_COMPONENTS XKBCommon)
if (ENABLE_X11)
    set(REQUIRED_XKBCOMMON_COMPONENTS ${REQUIRED_XKBCOMMON_COMPONENTS} X11)
    find_package(XCB REQUIRED COMPONENTS XCB AUX XKB XFIXES ICCCM XINERAMA RANDR EWMH KEYSYMS)
    find_package(XCBImdkit REQUIRED)
    pkg_check_modules(CairoXCB IMPORTED_TARGET cairo-xcb)
    pkg_check_modules(XkbFile REQUIRED IMPORTED_TARGET "xkbfile")
endif()

find_package(XKBCommon REQUIRED COMPONENTS ${REQUIRED_XKBCOMMON_COMPONENTS})
find_package(IsoCodes REQUIRED)
find_package(Expat REQUIRED)
find_package(XKeyboardConfig)
pkg_check_modules(JsonC REQUIRED IMPORTED_TARGET "json-c")
pkg_check_modules(Cairo IMPORTED_TARGET cairo)
pkg_check_modules(Pango IMPORTED_TARGET pango pangocairo)
pkg_check_modules(GdkPixbuf IMPORTED_TARGET gdk-pixbuf-2.0)
pkg_check_modules(GioUnix IMPORTED_TARGET gio-unix-2.0)

if (ENABLE_WAYLAND)
    find_package(Wayland REQUIRED COMPONENTS Client Egl)
    find_package(WaylandScanner REQUIRED)
    find_package(WaylandProtocols REQUIRED)
    find_package(EGL)
    pkg_check_modules(CairoEGL IMPORTED_TARGET cairo-egl)
endif()

if(ENABLE_ENCHANT)
  pkg_check_modules(Enchant IMPORTED_TARGET "enchant-2")
  if(NOT TARGET PkgConfig::Enchant)
    pkg_check_modules(Enchant IMPORTED_TARGET "enchant" REQUIRED)
  endif()
endif()

if(ENABLE_PRESAGE)
  find_package(Presage REQUIRED)
endif()

if (TARGET PkgConfig::CairoEGL AND TARGET EGL::EGL AND TARGET Wayland::Egl)
  set(CAIRO_EGL_FOUND TRUE)
else()
  set(CAIRO_EGL_FOUND FALSE)
endif()

if (TARGET Wayland::Client AND ENABLE_WAYLAND)
    set(WAYLAND_FOUND TRUE)
else()
    set(WAYLAND_FOUND FALSE)
endif()

set(DEFAULT_XKB_RULES_FILES "${XKEYBOARDCONFIG_XKBBASE}/rules/${DEFAULT_XKB_RULES}.xml")
if (NOT EXISTS "${DEFAULT_XKB_RULES_FILES}")
  message(FATAL_ERROR "Could not find default xkb rules file: ${DEFAULT_XKB_RULES_FILES}")
endif()

# directory needed by bsd
if(NOT CMAKE_INSTALL_LIBDATADIR)
  set(CMAKE_INSTALL_LIBDATADIR "${CMAKE_INSTALL_LIBDIR}" CACHE PATH "libdata root (LIBDIR)")
endif()

get_filename_component(CMAKE_INSTALL_FULL_LIBDATADIR "${CMAKE_INSTALL_LIBDATADIR}" ABSOLUTE)
mark_as_advanced(CMAKE_INSTALL_LIBDATADIR)
mark_as_advanced(CMAKE_INSTALL_FULL_LIBDATADIR)

include(Fcitx5CompilerSettings)

set(FCITX_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
set(FCITX_INSTALL_INCLUDEDIR ${CMAKE_INSTALL_FULL_INCLUDEDIR})
set(FCITX_INSTALL_LIBDIR ${CMAKE_INSTALL_FULL_LIBDIR})
set(FCITX_INSTALL_LIBDATADIR ${CMAKE_INSTALL_FULL_LIBDATADIR})
set(FCITX_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_FULL_LIBEXECDIR})
set(FCITX_INSTALL_DATADIR ${CMAKE_INSTALL_FULL_DATADIR})
set(FCITX_INSTALL_PKGDATADIR "${CMAKE_INSTALL_FULL_DATADIR}/fcitx5")
set(FCITX_INSTALL_BINDIR ${CMAKE_INSTALL_FULL_BINDIR})
set(FCITX_INSTALL_LOCALEDIR ${CMAKE_INSTALL_FULL_LOCALEDIR})
set(FCITX_INSTALL_ADDONDIR "${CMAKE_INSTALL_FULL_LIBDIR}/fcitx5")
set(FCITX_INSTALL_CMAKECONFIG_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/cmake")
set(FCITX_INSTALL_MODULE_HEADER_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/Fcitx5/Module/fcitx-module")
# TODO mac/win
set(FCITX_LIBRARY_SUFFIX ".so")

check_function_exists(pipe2 HAVE_PIPE2)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)
add_subdirectory(testing)

#######################################################################
# Test features
#######################################################################
if (ENABLE_TEST)
    enable_testing()
    add_subdirectory(test)

    if (ENABLE_COVERAGE)
        add_custom_target(coverage
                        COMMAND "${CMAKE_CTEST_COMMAND}"
                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    endif()
endif ()

if (ENABLE_DOC)
  find_package(Doxygen REQUIRED)
  file(READ "${CMAKE_CURRENT_SOURCE_DIR}/.codedocs" FCITX_DOXYGEN_CONFIGURATION)
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    @ONLY)
  add_custom_target(doc
      COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
      COMMENT "Generating API documentation with Doxygen"
      VERBATIM)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_definitions("-DFCITX_GETTEXT_DOMAIN=\"fcitx5\"")

add_subdirectory(lib)
add_subdirectory(modules)
add_subdirectory(frontend)
add_subdirectory(server)
add_subdirectory(im)
add_subdirectory(ui)
add_subdirectory(tools)

=== test/CMakeLists.txt ===
configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(addon)

set(FCITX_UTILS_TEST
    testflags
    teststringutils
    testkey
    testutf8
    testcolor
    testi18nstring
    testevent
    testlist
    testfs
    testlibrary
    teststandardpath
    testunixfd
    testmetastring
    testhandlertable
    testsignals
    testinputbuffer
    testlog
    testeventdispatcher
    testrect)

set(FCITX_UTILS_DBUS_TEST
    testdbusmessage
    testdbus
    testservicewatcher)

set(testdbus_LIBS Pthread::Pthread)
set(testeventdispatcher_LIBS Pthread::Pthread)

find_program(DBUS_DAEMON_BIN dbus-daemon)
find_program(XVFB_BIN Xvfb)

add_executable(DBusWrapper IMPORTED)
set_target_properties(DBusWrapper PROPERTIES IMPORTED_LOCATION "${CMAKE_CURRENT_SOURCE_DIR}/dbus_wrapper.sh")

add_executable(XvfbWrapper IMPORTED)
set_target_properties(XvfbWrapper PROPERTIES IMPORTED_LOCATION "${CMAKE_CURRENT_SOURCE_DIR}/xvfb_wrapper.sh")

foreach(TESTCASE ${FCITX_UTILS_DBUS_TEST})
    add_executable(${TESTCASE} ${TESTCASE}.cpp)
    target_link_libraries(${TESTCASE} Fcitx5::Utils ${${TESTCASE}_LIBS})

    if (DBUS_DAEMON_BIN)
        add_test(NAME ${TESTCASE}
                COMMAND DBusWrapper "${DBUS_DAEMON_BIN}" "${CMAKE_CURRENT_BINARY_DIR}/${TESTCASE}" ${${TESTCASE}_ARGS})
    endif()
endforeach()

foreach(TESTCASE ${FCITX_UTILS_TEST})
    add_executable(${TESTCASE} ${TESTCASE}.cpp)
    target_link_libraries(${TESTCASE} Fcitx5::Utils ${${TESTCASE}_LIBS})
    add_test(NAME ${TESTCASE}
             COMMAND ${TESTCASE} ${${TESTCASE}_ARGS})
endforeach()
set_target_properties(testlibrary PROPERTIES LINK_FLAGS "-rdynamic")

set(FCITX_CONFIG_TEST
    testconfig
    testconfigdbus)

foreach(TESTCASE ${FCITX_CONFIG_TEST})
    add_executable(${TESTCASE} ${TESTCASE}.cpp)
    target_link_libraries(${TESTCASE} Fcitx5::Config)
    add_test(NAME ${TESTCASE}
             COMMAND ${TESTCASE})
endforeach()

set(FCITX_CORE_TEST
    testinputcontext
    testsurroundingtext
    testaddon
    testmenu
    testuserinterfacemanager
    testelement
    testcandidatelist
    testicontheme)
foreach(TESTCASE ${FCITX_CORE_TEST})
    add_executable(${TESTCASE} ${TESTCASE}.cpp)
    target_link_libraries(${TESTCASE} Fcitx5::Core)
    add_test(NAME ${TESTCASE}
             COMMAND ${TESTCASE} ${${TESTCASE}_ARGS})
endforeach()

add_dependencies(testaddon dummyaddon)

add_executable(testxkbrules testxkbrules.cpp ../src/im/keyboard/xkbrules.cpp ../src/im/keyboard/xmlparser.cpp)
target_compile_definitions(testxkbrules PRIVATE "-D_TEST_XKBRULES")
target_include_directories(testxkbrules PRIVATE ../src)
target_link_libraries(testxkbrules Fcitx5::Core Expat::Expat)
add_test(NAME testxkbrules COMMAND testxkbrules)

add_executable(testisocodes testisocodes.cpp ../src/im/keyboard/isocodes.cpp)
target_compile_definitions(testisocodes PRIVATE "-D_TEST_XKBRULES")
target_include_directories(testisocodes PRIVATE ../src)
target_link_libraries(testisocodes Fcitx5::Core PkgConfig::JsonC)
add_test(NAME testisocodes COMMAND testisocodes)

if (TARGET Fcitx5::Module::Emoji)
add_executable(testemoji testemoji.cpp)
target_link_libraries(testemoji Fcitx5::Core Fcitx5::Module::Emoji)
add_dependencies(testemoji emoji emoji.conf.in-fmt)
add_test(NAME testemoji COMMAND testemoji)
endif()

add_executable(testunicode testunicode.cpp)
target_link_libraries(testunicode Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
add_dependencies(testunicode copy-addon unicode testui testfrontend testim)
add_test(NAME testunicode COMMAND testunicode)

add_executable(testquickphrase testquickphrase.cpp)
target_link_libraries(testquickphrase Fcitx5::Core Fcitx5::Module::QuickPhrase Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
add_dependencies(testquickphrase copy-addon quickphrase testui testfrontend testim)
add_test(NAME testquickphrase COMMAND testquickphrase)

if (ENABLE_X11)
add_executable(testxim testxim.cpp)
target_link_libraries(testxim Fcitx5::Core Fcitx5::Module::TestIM Pthread::Pthread XCB::XCB XCB::AUX XCBImdkit::XCBImdkit)
add_dependencies(testxim copy-addon xim testui testfrontend testim)

# FIXME: Test may fail on some system
#if (XVFB_BIN)
#    add_test(NAME testxim COMMAND XvfbWrapper "${XVFB_BIN}" "${CMAKE_CURRENT_BINARY_DIR}/testxim")
#endif()
endif()

=== src/frontend/CMakeLists.txt ===
add_subdirectory(xim)

add_subdirectory(dbusfrontend)
add_subdirectory(fcitx4frontend)

if (WAYLAND_FOUND)
    add_subdirectory(waylandim)
endif()
add_subdirectory(ibusfrontend)

=== src/im/CMakeLists.txt ===
add_subdirectory(keyboard)

=== src/modules/CMakeLists.txt ===
add_subdirectory(xcb)

add_subdirectory(dbus)

if (WAYLAND_FOUND)
add_subdirectory(wayland)
endif()

add_subdirectory(spell)
add_subdirectory(notifications)
add_subdirectory(notificationitem)
add_subdirectory(quickphrase)
add_subdirectory(unicode)
add_subdirectory(clipboard)
add_subdirectory(emoji)
add_subdirectory(imselector)

write_basic_package_version_file("${CMAKE_CURRENT_BINARY_DIR}/Fcitx5ModuleConfigVersion.cmake" VERSION @FCITX_VERSION@ COMPATIBILITY AnyNewerVersion)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/Fcitx5ModuleConfig.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5ModuleConfig.cmake" @ONLY)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5ModuleConfigVersion.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5ModuleConfig.cmake"
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5Module
        COMPONENT Devel )

configure_file(Fcitx5Module.pc.in ${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Module.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Module.pc
  DESTINATION "${CMAKE_INSTALL_LIBDATADIR}/pkgconfig")

=== src/server/CMakeLists.txt ===
add_executable(fcitx5 main.cpp errorhandler.cpp)
target_link_libraries(fcitx5 Fcitx5::Core keyboard)
if (EXECINFO_FOUND)
target_link_libraries(fcitx5 Execinfo::Execinfo)
endif()
install(TARGETS fcitx5 DESTINATION "${FCITX_INSTALL_BINDIR}")

=== src/tools/CMakeLists.txt ===
add_executable(fcitx5-remote remote.cpp)
target_link_libraries(fcitx5-remote Fcitx5::Utils)

install(TARGETS fcitx5-remote DESTINATION "${FCITX_INSTALL_BINDIR}")

=== src/ui/CMakeLists.txt ===
add_subdirectory(classic)
add_subdirectory(kimpanel)

=== test/addon/CMakeLists.txt ===
add_library(dummyaddon MODULE dummyaddon.cpp)
target_link_libraries(dummyaddon Fcitx5::Core)

add_custom_target(copy-addon DEPENDS unicode.conf.in-fmt quickphrase.conf.in-fmt xim.conf.in-fmt xcb.conf.in-fmt)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/modules/unicode/unicode.conf ${CMAKE_CURRENT_BINARY_DIR}/unicode.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/modules/quickphrase/quickphrase.conf ${CMAKE_CURRENT_BINARY_DIR}/quickphrase.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/frontend/xim/xim.conf ${CMAKE_CURRENT_BINARY_DIR}/xim.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/modules/xcb/xcb.conf ${CMAKE_CURRENT_BINARY_DIR}/xcb.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_SOURCE_DIR}/testing/testfrontend/testfrontend.conf ${CMAKE_CURRENT_BINARY_DIR}/testfrontend.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_SOURCE_DIR}/testing/testim/testim.conf ${CMAKE_CURRENT_BINARY_DIR}/testim.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_SOURCE_DIR}/testing/testui/testui.conf ${CMAKE_CURRENT_BINARY_DIR}/testui.conf)

=== testing/testfrontend/CMakeLists.txt ===
add_library(testfrontend MODULE testfrontend.cpp)

target_link_libraries(testfrontend
    Fcitx5::Core)
set_target_properties(testfrontend PROPERTIES PREFIX "")
install(TARGETS testfrontend DESTINATION "${FCITX_INSTALL_ADDONDIR}")
install(FILES testfrontend.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/testing/addon")

fcitx5_export_module(TestFrontend TARGET testfrontend BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS testfrontend_public.h INSTALL)

=== testing/testim/CMakeLists.txt ===
add_library(testim MODULE testim.cpp)

target_link_libraries(testim
    Fcitx5::Core)
set_target_properties(testim PROPERTIES PREFIX "")
install(TARGETS testim DESTINATION "${FCITX_INSTALL_ADDONDIR}")
install(FILES testim.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/testing/addon")

fcitx5_export_module(TestIM TARGET testim BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS testim_public.h INSTALL)

=== debian/changelog ===
fcitx5 (5.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 14:58:45 +0800

fcitx5 (5.0.4-3) unstable; urgency=medium

  * Team upload.
  * Missing fcitx5-module-quickphrase in fcitx5-modules-dev Depends
  * Add libkvm-dev to Build-Depends on kfreebsd

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 20 Jan 2021 02:23:25 +0800

fcitx5 (5.0.4-2) unstable; urgency=medium

  * Team upload.
  * Reorg module packages.
    Merge fcitx5-module-dbus, fcitx5-module-ibus, fcitx5-module-kimpanel,
    fcitx5-module-fcitx4 to fcitx5-modules.
    No new dependency on fcitx5-modules.
  * Enable building on non-linux
  * Don't install xdg auto start file

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 Jan 2021 12:03:33 +0800

fcitx5 (5.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add new fcitx5-module-fcitx4 package

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jan 2021 01:37:58 +0800

fcitx5 (5.0.3-2) unstable; urgency=medium

  * Manual rebuild against libxcb-imdkit 1.0.1.
  * debian/control: Tighten version requirement of xcb-imdkit to
    (>= 1.0.1~).

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Dec 2020 18:29:50 -0500

fcitx5 (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 12 Dec 2020 21:40:10 +0800

fcitx5 (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix uscan watch file syntax
  * Refresh patches
  * Use flatpak style icon
  * Update README.Debian
  * Fix lintian by renaming dbus to D-Bus
  * Drop library version patch.
    After the project version is bumped to 5.0.x, there's no
    name clash

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 17:39:35 +0800

fcitx5 (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Ask user to run fcitx5-diagnose when reporting bugs
  * Backport patch for fcitx5-diagnose.
    To detect the multi-arch library patch.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 15 Nov 2020 17:57:40 +0800

fcitx5 (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add fcitx5-config-qt to Recommends (Closes: #963725)
  * Apply Multi-Arch hints

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 06 Nov 2020 22:55:19 +0800

fcitx5 (0.0~git20201030.a5a0551-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix fcitx library cmake config

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 22:22:38 +0800

fcitx5 (0.0~git20201030.a5a0551-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot
  * Bump libfcitx5core SO version to 7

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 15:57:58 +0800

fcitx5 (0.0~git20200825.962d15a-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
  * Disable parallel test to fix dbus issue
  * as-needed LDFLAGS is not needed since bullseye
  * Change architecture from linux-any to any
  * Remove incorrect Multi-Arch same annotation.
  * Refresh patches
  * Add fcitx5 default input method profile.
  * Add imselector module
  * Bump libfcitx5config SOVERSION to 6
  * Bump libfcitx5core SOVERSION to 6
  * Bump libfcitx5utils SOVERSION to 2

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Aug 2020 02:42:44 +0800

=== debian/control ===
Source: fcitx5
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream,
 cmake (>= 3.6.0),
 dbus <!nocheck>,
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 iso-codes,
 libbrotli-dev,
 libcairo2-dev,
 libdbus-1-dev [!linux-any],
 libegl1-mesa-dev,
 libenchant-2-dev,
 libevent-dev [!linux-any],
 libexpat1-dev,
 libfmt-dev,
 libgdk-pixbuf2.0-dev,
 libjson-c-dev,
 libkvm-dev [kfreebsd-any],
 libpango1.0-dev,
 libsystemd-dev [linux-any],
 libwayland-bin [linux-any],
 libwayland-dev [linux-any],
 libwayland-egl-backend-dev [linux-any],
 libxcb-ewmh-dev,
 libxcb-icccm4-dev,
 libxcb-imdkit-dev (>= 1.0.1~),
 libxcb-randr0-dev,
 libxcb-shape0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinerama0-dev,
 libxcb-xkb-dev,
 libxcb1-dev,
 libxkbcommon-x11-dev,
 libxkbfile-dev,
 pkg-config,
 unicode-cldr-core,
 uuid-dev,
 wayland-protocols [linux-any],
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5

Package: fcitx5
Architecture: any
Depends:
 fcitx5-data (= ${source:Version}),
 fcitx5-modules (= ${binary:Version}),
 libfcitx5config6 (= ${binary:Version}),
 libfcitx5core7 (= ${binary:Version}),
 libfcitx5utils2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5-config-qt,
 fcitx5-frontend-gtk3,
 fcitx5-frontend-qt5,
 im-config (>= 0.44),
Suggests:
 fcitx5-chinese-addons,
 fcitx5-frontend-gtk2,
 kde-config-fcitx5,
Description: Next generation of Fcitx Input Method Framework
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides core fcitx5 framework files.

Package: fcitx5-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Fcitx Input Method Framework v5 (common data files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides architecture-independent data files.

Package: fcitx5-module-emoji
Architecture: any
Multi-Arch: same
Depends:
 unicode-cldr-core,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 fcitx5-modules (<< 0.0~git20200312),
Replaces:
 fcitx5-modules (<< 0.0~git20200312),
Description: Fcitx Input Method Framework v5 (emoji module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides emoji module for fcitx5.

Package: fcitx5-module-quickphrase
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (quickphrase module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides quickphrase module for fcitx5.

Package: fcitx5-module-wayland
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (wayland modules)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides wayland-related modules for fcitx5.

Package: fcitx5-module-xorg
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (xorg modules)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides xorg-related modules for fcitx5.

Package: fcitx5-modules
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5-module-emoji,
 fcitx5-module-quickphrase,
 fcitx5-module-wayland,
 fcitx5-module-xorg,
Breaks:
 fcitx5-module-dbus (<< 5.0.4-2),
 fcitx5-module-fcitx4 (<< 5.0.4-2),
 fcitx5-module-ibus (<< 5.0.4-2),
 fcitx5-module-kimpanel (<< 5.0.4-2),
Replaces:
 fcitx5-module-dbus (<< 5.0.4-2),
 fcitx5-module-fcitx4 (<< 5.0.4-2),
 fcitx5-module-ibus (<< 5.0.4-2),
 fcitx5-module-kimpanel (<< 5.0.4-2),
Provides:
 fcitx5-module-dbus,
 fcitx5-module-ibus,
 fcitx5-module-kimpanel,
Description: Fcitx Input Method Framework v5 (core modules)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides core modules for fcitx5 and depends on all
 input modules.

Package: fcitx5-modules-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 fcitx5-module-emoji (= ${binary:Version}),
 fcitx5-module-quickphrase (= ${binary:Version}),
 fcitx5-module-wayland (= ${binary:Version}),
 fcitx5-module-xorg (= ${binary:Version}),
 fcitx5-modules (= ${binary:Version}),
 libfcitx5core-dev (= ${binary:Version}),
 libfcitx5utils-dev (= ${binary:Version}),
 ${misc:Depends},
Description: Fcitx Input Method Framework v5 (input modules dev files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for fcitx5 input modules.

Package: libfcitx5config-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libfcitx5config6 (= ${binary:Version}),
 ${misc:Depends},
Description: Fcitx Input Method Framework v5 (config library dev files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for fcitx5 config libraries.

Package: libfcitx5config6
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (config library)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides fcitx5 config libraries.

Package: libfcitx5core-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libfcitx5config-dev (= ${binary:Version}),
 libfcitx5core7 (= ${binary:Version}),
 libfcitx5utils-dev (= ${binary:Version}),
 ${misc:Depends},
Description: Fcitx Input Method Framework v5 (core library dev files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for fcitx5 core libraries.

Package: libfcitx5core7
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (core library)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, D-Bus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

config-opt := -DUSE_FLATPAK_ICON=ON -DENABLE_XDGAUTOSTART=OFF

ifneq (linux,$(DEB_HOST_ARCH_OS))
config-opt := -DUSE_SYSTEMD=OFF -DENABLE_WAYLAND=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(config-opt)

override_dh_auto_test:
	# DBus-related tests can't run in parallel
	dh_auto_test --no-parallel
